netatalk: adoublehelper.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
adoublehelper.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include "adoublehelper.h"`
`#include "afpclient.h"`
`#include "afpcmd.h"`
`#include "testhelper.h"`

## Functions
int | delete_unix_md (char *path, char *name, char *file)
int | delete_unix_rf (char *path, char *name, char *file)
int | delete_unix_file (char *path, char *name, char *file)
int | rename_unix_file (char *path, char *dir, char *src, char *dst)
int | unlink_unix_file (char *path, char *name, char *file)
int | symlink_unix_file (char *target, char *path, char *source)
int | delete_unix_adouble (char *path, char *name)
static int | chmod_unix_adouble (char *path, char *name, int mode)
int | chmod_unix_meta (char *path, char *name, char *file, mode_t mode)
int | chmod_unix_rfork (char *path, char *name, char *file, mode_t mode)
int | delete_unix_dir (char *path, char *name)
int | folder_with_ro_adouble (uint16_t vol, int did, char *name, char *file)
int | delete_ro_adouble (uint16_t vol, int did, char *file)

## Variables
static char | temp [MAXPATHLEN]
static char | temp1 [MAXPATHLEN]

## Function Documentation

## ◆ chmod_unix_adouble()

int chmod_unix_adouble | ( | char * | path,
|  | char * | name,
|  | int | mode )
| static

chmod .AppleDouble directory

## ◆ chmod_unix_meta()

int chmod_unix_meta | ( | char * | path,
|  | char * | name,
|  | char * | file,
|  | mode_t | mode )

## ◆ chmod_unix_rfork()

int chmod_unix_rfork | ( | char * | path,
|  | char * | name,
|  | char * | file,
|  | mode_t | mode )

## ◆ delete_ro_adouble()

int delete_ro_adouble | ( | uint16_t | vol,
|  | int | did,
|  | char * | file )

## ◆ delete_unix_adouble()

int delete_unix_adouble | ( | char * | path,
|  | char * | name )

Delete metadata of directory

## ◆ delete_unix_dir()

int delete_unix_dir | ( | char * | path,
|  | char * | name )

delete an empty directory

## ◆ delete_unix_file()

int delete_unix_file | ( | char * | path,
|  | char * | name,
|  | char * | file )

delete a file

## ◆ delete_unix_md()

int delete_unix_md | ( | char * | path,
|  | char * | name,
|  | char * | file )

delete metadata

## ◆ delete_unix_rf()

int delete_unix_rf | ( | char * | path,
|  | char * | name,
|  | char * | file )

delete a resource fork

## ◆ folder_with_ro_adouble()

int folder_with_ro_adouble | ( | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | char * | file )

create a folder with r-xr-xr-x .AppleDouble

## ◆ rename_unix_file()

int rename_unix_file | ( | char * | path,
|  | char * | dir,
|  | char * | src,
|  | char * | dst )

Rename a file and its resource fork

## ◆ symlink_unix_file()

int symlink_unix_file | ( | char * | target,
|  | char * | path,
|  | char * | source )

## ◆ unlink_unix_file()

int unlink_unix_file | ( | char * | path,
|  | char * | name,
|  | char * | file )

unlink file only, dont care about adouble file

## Variable Documentation

## ◆ temp

char temp[MAXPATHLEN]
| static

## ◆ temp1

char temp1[MAXPATHLEN]
| static